package com.sobot.moduletest;


import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.view.View;
import android.widget.ImageView;

import com.sobot.common.ui.SobotMarkConfig;
import com.sobot.common.ui.base.SobotBaseActivity;
import com.sobot.common.ui.toast.SobotToastUtil;
import com.sobot.common.utils.SobotCommonApi;
import com.sobot.common.utils.SobotCommonUtils;
import com.sobot.network.http.HttpUtils;
import com.sobot.pictureframe.SobotBitmapUtil;
import com.sobot.utils.SobotImageUtils;
import com.sobot.utils.SobotLogUtils;

import java.util.HashMap;
import java.util.Map;

import static com.sobot.common.ui.SobotBaseConstant.REQUEST_CODE_PICTURE;

public class MainActivity extends SobotBaseActivity {

    private ImageView img;
    private ImageView img2;

    @Override
    protected int getContentViewResId() {
        return R.layout.activity_main;
    }

    @Override
    protected void initView() {
        SobotToastUtil.showCustomToast(getSobotBaseActivity(), "sdafdsafsadfasdfsdaf");
        SobotCommonApi.setSwitchMarkStatus(SobotMarkConfig.SHOW_PERMISSION_TIPS_POP, true);
        setTitle("ddddd");
        SobotBitmapUtil.display(getSobotBaseActivity(), "https://img.sobot.com/console/common/face/admin.png", getAvatarImageView(true));
        img = findViewById(R.id.img);
        SobotBitmapUtil.display(this, "https://img.sobot.com/console/common/face/admin.png", img, R.mipmap.ic_launcher, R.mipmap.ic_launcher);
        img2 = findViewById(R.id.img2);
        SobotBitmapUtil.display(this, R.mipmap.ic_launcher, img2);

        Map<String, String> map = new HashMap<>();
        map.put("appId", "1c1da2c0aad047d7ba1d14ecd18ae4f6");
        HttpUtils.getInstance().doPost(this, "https://api.sobot.com/chat-sdk/sdk/user/v1/getCategoryList.action", map, null, new HttpUtils.StringCallBack() {
            @Override
            public void onResponse(String result) {
                SobotLogUtils.i(result);
            }

            @Override
            public void onError(Exception e, String msg, int responseCode) {

            }

            @Override
            public void inProgress(int progress) {

            }
        });
//        selectPicFromLocal();
//        selectVedioFromLocal();
        openCamera();
    }

    @Override
    protected void initData() {

    }

    @Override
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        try {
            super.onActivityResult(requestCode, resultCode, data);
            SobotLogUtils.i("多媒体返回的结果：" + requestCode + "--" + resultCode + "--" + data);

            if (resultCode == Activity.RESULT_OK) {
                if (requestCode == REQUEST_CODE_PICTURE) { // 发送本地图片
                    if (data != null && data.getData() != null) {
                        Uri selectedImage = data.getData();
                        if (selectedImage == null) {
                            selectedImage = SobotImageUtils.getUri(data, getBaseContext());
                        }
                        String path = SobotImageUtils.getPath(getSobotBaseActivity(), selectedImage);
                        SobotLogUtils.i("选取的图片地址：" + path);
                    }
                }
            }
            if (cameraFile != null && cameraFile.exists()) {
                SobotLogUtils.i("相机拍照："+cameraFile.toString());
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}